3v4l.org

run code in 150+ php & hhvm versions
Bugs & Features
<?php $res = false; @preg_replace("/test/e\x00ing/i",'$res = true;',"test"); if(false===$res)echo 'Not '; echo "Vulnerable, PHP ";
Output for 5.4.7 - 7.1.0
Not Vulnerable, PHP
Output for 4.3.0 - 5.4.6
Vulnerable, PHP